=== debian/changelog ===
vdr-plugin-xineliboutput (1.0.6~cvs20100502.0851-3) unstable; urgency=low

  * Fixed postrm bug

 -- Tobias Grimm <etobi@debian.org>  Tue, 08 Jun 2010 23:44:23 +0200

vdr-plugin-xineliboutput (1.0.6~cvs20100502.0851-2) unstable; urgency=low

  * Clean up build-depends (Closes: #581978)
    - dropped libxv-dev
    - dropped sharutils
    - dropped libmagick++9-dev | libmagick++-dev
    - dropped libvdpau-dev
    - added x11proto-core-dev
    - added libxinerama-dev
    - added libxrender-dev,
  * source/format 3.0 (quilt)
  * Removed unnecessary libxv linking

 -- Tobias Grimm <etobi@debian.org>  Mon, 24 May 2010 18:04:21 +0200

vdr-plugin-xineliboutput (1.0.6~cvs20100502.0851-1) unstable; urgency=low

  * New Upstream Snapshot
  * source/format 1.0

 -- Tobias Grimm <etobi@debian.org>  Sun, 02 May 2010 15:19:11 +0200

vdr-plugin-xineliboutput (1.0.6~cvs20100308.2122-2) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.6.0-16
  * Minor debian/copyright update

 -- Tobias Grimm <etobi@debian.org>  Sun, 04 Apr 2010 16:37:03 +0200

vdr-plugin-xineliboutput (1.0.6~cvs20100308.2122-1) unstable; urgency=low

  * New upstream release

 -- Tobias Grimm <etobi@debian.org>  Mon, 08 Mar 2010 22:33:46 +0100

vdr-plugin-xineliboutput (1.0.6~cvs20100306.1448-1) unstable; urgency=low

  * New upstream release - getting in sync with the upstream release
    versioning again (Closes: #571379)
    Remark: This is for VDR 1.6 only!

 -- Tobias Grimm <etobi@debian.org>  Sat, 06 Mar 2010 16:01:49 +0100

vdr-plugin-xineliboutput (1.0.4+cvs20100223.2049-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Tue, 23 Feb 2010 21:50:00 +0100

vdr-plugin-xineliboutput (1.0.4+cvs20100219.2148-1) unstable; urgency=low

  [ Thomas Schmidt ]
  * New Upstream Snapshot
  * Build-Depend on libjpeg-dev instead of libjpeg62-dev

  [ Tobias Grimm ]
  * Updated standards version to 3.8.4 (no changes needed)

 -- Tobias Grimm <etobi@debian.org>  Fri, 19 Feb 2010 22:58:46 +0100

vdr-plugin-xineliboutput (1.0.4+cvs20100130.1112-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Sat, 30 Jan 2010 12:12:15 +0100

vdr-plugin-xineliboutput (1.0.4+cvs20100128.1850-1) unstable; urgency=low

  * New Upstream Snapshot
  * Install dektop/menu icons for vdr-sxfe / vdr-fbfe based on OppTupacShakur's
    packaging

 -- Tobias Grimm <etobi@debian.org>  Thu, 28 Jan 2010 20:05:55 +0100

vdr-plugin-xineliboutput (1.0.4+cvs20100125.1922-1) unstable; urgency=low

  * New Upstream Snapshot
  * Don't let postinst fail, if there are no relevant settings in svdrphost.conf

 -- Tobias Grimm <etobi@debian.org>  Mon, 25 Jan 2010 20:19:25 +0100

vdr-plugin-xineliboutput (1.0.4+cvs20100121.1750-1) unstable; urgency=low

  * New Upstream Snapshot
  * Don't install custom no-signal image, use upstream version
  * Try to automatically take over svdrphosts.conf settings into
    allowed_hosts.conf
  * Dropped TODO - all done
  * Install /var/lib/vdr/plugins/xineliboutput, writable for the plugin
    (it writes a config there)

 -- Tobias Grimm <etobi@debian.org>  Fri, 22 Jan 2010 00:01:03 +0100

vdr-plugin-xineliboutput (1.0.4+cvs20100117.1236-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 17 Jan 2010 13:39:01 +0100

vdr-plugin-xineliboutput (1.0.4+cvs20100106.2318-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Thu, 07 Jan 2010 00:18:11 +0100

vdr-plugin-xineliboutput (1.0.4+cvs20100102.1601-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Sat, 02 Jan 2010 17:01:55 +0100

vdr-plugin-xineliboutput (1.0.4+cvs20091215.2049-2) unstable; urgency=low

  * Build-depend on libvdpau-dev

 -- Tobias Grimm <etobi@debian.org>  Thu, 17 Dec 2009 10:17:24 +0100

vdr-plugin-xineliboutput (1.0.4+cvs20091215.2049-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Tue, 15 Dec 2009 21:49:05 +0100

vdr-plugin-xineliboutput (1.0.4+cvs20091016.1108-3) unstable; urgency=low

  * Removed non-standard shebang line from debian/rules (Closes: #552662)
  * Added README.source

 -- Tobias Grimm <etobi@debian.org>  Mon, 09 Nov 2009 00:34:53 +0100

vdr-plugin-xineliboutput (1.0.4+cvs20091016.1108-2) unstable; urgency=low

  * Fixed NEWS.Debian installation

 -- Tobias Grimm <etobi@debian.org>  Fri, 16 Oct 2009 13:53:49 +0200

vdr-plugin-xineliboutput (1.0.4+cvs20091016.1108-1) unstable; urgency=low

  * New Upstream Snapshot (Closes: #551143)
  * Added note to NEWS.Debian about the deprecated demux:mpeg_block option
    (Closes: #550861)

 -- Tobias Grimm <etobi@debian.org>  Fri, 16 Oct 2009 13:31:04 +0200

vdr-plugin-xineliboutput (1.0.4+cvs20091004.1123-1) unstable; urgency=low

  * New Upstream Snapshot
  * Standards-Version: 3.8.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 04 Oct 2009 13:23:34 +0200

vdr-plugin-xineliboutput (1.0.4+cvs20090826.1640-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Wed, 26 Aug 2009 18:40:21 +0200

vdr-plugin-xineliboutput (1.0.4+cvs20090823.1048-1) unstable; urgency=low

  * New Upstream Snapshot
  * Fixed typo in README.Debian

 -- Tobias Grimm <etobi@debian.org>  Sun, 23 Aug 2009 12:48:17 +0200

vdr-plugin-xineliboutput (1.0.4+cvs20090725.1814-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Sat, 25 Jul 2009 21:33:42 +0200

vdr-plugin-xineliboutput (1.0.4+cvs20090717.1529-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Fri, 17 Jul 2009 17:30:00 +0200

vdr-plugin-xineliboutput (1.0.4+cvs20090716.2018-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Thu, 16 Jul 2009 22:18:45 +0200

vdr-plugin-xineliboutput (1.0.4+cvs20090711.0933-1) unstable; urgency=low

  * New Upstream Snapshot
  * Bumped standards version to 3.8.2

