## vdr-plugin-xineliboutput 1.0.6+cvs20110410.1300

=== debian/changelog ===
vdr-plugin-xineliboutput (1.0.6+cvs20110410.1300-1) unstable; urgency=low

  * New Upstream Snapshot (Closes: #615635, #615791)
  * source/format 3.0 (quilt)
  * Build-Depend on vdr-dev (>= 1.7.17)
  * Updated debian/copyright

 -- Tobias Grimm <etobi@debian.org>  Sun, 10 Apr 2011 15:00:16 +0200

vdr-plugin-xineliboutput (1.0.6+cvs20110325.1728-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Fri, 25 Mar 2011 18:28:49 +0100

vdr-plugin-xineliboutput (1.0.6+cvs20110319.2357-1) unstable; urgency=low

  * New Upstream Snapshot
  * Build-depend to freeglut3-dev for OpenGL support

 -- Tobias Grimm <etobi@debian.org>  Sun, 20 Mar 2011 00:57:17 +0100

vdr-plugin-xineliboutput (1.0.6+cvs20110213.0131-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Sun, 13 Feb 2011 02:31:11 +0100

vdr-plugin-xineliboutput (1.0.6+cvs20110105.1949-1) unstable; urgency=low

  * New Upstream Snapshot
  * Don't symlink the doc dirs, because dpkg isn't capable of replacing a
    directory with a symlink (see bug #406715)

 -- Tobias Grimm <etobi@debian.org>  Wed, 05 Jan 2011 20:50:15 +0100

vdr-plugin-xineliboutput (1.0.6+cvs20101204.1657-1) unstable; urgency=low

  * New Upstream Snapshot
  * Switched to debhelper 7 and dropped cdbs
  * Install doc dir as symlink to libxine1-xvdr where possible
  * Updated README.Debian and install it only with the plugin package

 -- Tobias Grimm <etobi@debian.org>  Sat, 04 Dec 2010 17:57:39 +0100

vdr-plugin-xineliboutput (1.0.6+cvs20101019.1826-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Tue, 19 Oct 2010 20:26:16 +0200

vdr-plugin-xineliboutput (1.0.6+cvs20101003.1156-1) unstable; urgency=low

  * New Upstream Snapshot
  * Standards-Version: 3.9.1

 -- Tobias Grimm <etobi@debian.org>  Sun, 03 Oct 2010 13:56:19 +0200

vdr-plugin-xineliboutput (1.0.6+cvs20100618.2132-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Fri, 18 Jun 2010 23:32:22 +0200

vdr-plugin-xineliboutput (1.0.6+cvs20100608.2009-1) unstable; urgency=low

  * New Upstream Snapshot
  * Fixed postrm bug

 -- Tobias Grimm <etobi@debian.org>  Tue, 08 Jun 2010 22:09:31 +0200

vdr-plugin-xineliboutput (1.0.6+cvs20100524.1147-1) unstable; urgency=low

  * New Upstream Snapshot
  * Clean up build-depends (Closes: #581978)
    - dropped libxv-dev
    - dropped sharutils
    - dropped libmagick++9-dev | libmagick++-dev
    - added x11proto-core-dev
    - added libxinerama-dev
    - added libxrender-dev,
  * source/format 3.0 (quilt)

 -- Tobias Grimm <etobi@debian.org>  Mon, 24 May 2010 13:47:06 +0200

vdr-plugin-xineliboutput (1.0.6+cvs20100513.0630-1) unstable; urgency=low

  * New Upstream Snapshot
  * source/format 1.0
  * Minor debian/copyright update

 -- Tobias Grimm <etobi@debian.org>  Thu, 13 May 2010 08:37:40 +0200

vdr-plugin-xineliboutput (1.0.6+cvs20100308.2219-2) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.6.0-16

 -- Tobias Grimm <etobi@debian.org>  Sun, 28 Mar 2010 15:23:07 +0200

vdr-plugin-xineliboutput (1.0.6+cvs20100308.2219-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Mon, 08 Mar 2010 23:19:50 +0100

vdr-plugin-xineliboutput (1.0.6+cvs20100306.2146-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Sat, 06 Mar 2010 23:10:54 +0100

vdr-plugin-xineliboutput (1.0.4+cvs20100306.1448-1) UNRELEASED; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Sat, 06 Mar 2010 15:48:39 +0100

vdr-plugin-xineliboutput (1.0.4+cvs20100227.2311-1) UNRELEASED; urgency=low

  * New Upstream Snapshot

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 28 Feb 2010 00:39:20 +0100
