=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Tobias Grimm <etobi@debian.org>, Thomas Schmidt <tschmidt@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 5), cdbs, gettext, txt2man,
- vdr-dev (>= 1.6.0-16),
+Build-Depends: debhelper (>= 7.0.50~), gettext, txt2man,
+ vdr-dev (>= 1.7.17),
  x11proto-core-dev,
  libxine-dev (>= 1.1.12),
  libxext-dev,
@@ -13,8 +13,10 @@
  libdbus-glib-1-dev,
  libextractor-dev,
  libxinerama-dev,
- libxrender-dev
-Standards-Version: 3.8.4
+ libxrender-dev,
+ libvdpau-dev,
+ freeglut3-dev
+Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/pkg-vdr-dvb/vdr/vdr-plugin-xineliboutput/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-xineliboutput/trunk/
 Homepage: http://sourceforge.net/projects/xineliboutput
