## vdr-plugin-xineliboutput 1.0.6+cvs20110417.2013

=== xine/BluRay/Makefile ===
--- 
+++ 
@@ -1,34 +1,30 @@
-#
-# deps
-#
-
-BLURAY_INC_DIR ?= /usr/src/libbluray/src/
-
 #
 # select plugins
 #
 
 ENABLE_DEMUX_PLUGIN ?= yes
 
-ifeq ($(shell grep BLURAY $(BLURAY_INC_DIR)/bluray.h > /dev/null && echo yes), yes)
+ifeq ($(shell pkg-config libbluray && echo yes), yes)
     ENABLE_INPUT_PLUGIN ?= yes
+    CFLAGS_BD ?= $(shell pkg-config libbluray --cflags)
+    LIBS_BD   ?= $(shell pkg-config libbluray --libs)
 else
     ENABLE_INPUT_PLUGIN ?= no
     $(warning libbluray not found)
 endif
 
-ifeq ($(shell pkg-config libxine --atleast-version=1.1.17 || echo "yes"), yes)
+ifeq ($(shell pkg-config libxine --atleast-version=1.1.19 || echo "yes"), yes)
     ENABLE_SPU_PLUGIN ?= yes
 else
     ENABLE_SPU_PLUGIN ?= no
-    $(warning SPU plugin is included in xine-lib 1.1.17+)
+    $(warning SPU plugin is included in xine-lib 1.1.19+)
 endif
 
-ifeq ($(shell pkg-config libxine --atleast-version=1.1.17.1 || echo "yes"), yes)
+ifeq ($(shell pkg-config libxine --atleast-version=1.1.18 || echo "yes"), yes)
     ENABLE_PCM_PLUGIN ?= yes
 else
     ENABLE_PCM_PLUGIN ?= no
-    $(warning PCM plugin is included in xine-lib 1.1.17.1+)
+    $(warning PCM plugin is included in xine-lib 1.1.18+)
 endif
 
 #
@@ -42,9 +38,6 @@
 CFLAGS      += $(CFLAGS_BD)
 INSTALL      = install
 
-ifeq ($(ENABLE_INPUT_PLUGIN), yes)
-CFLAGS_BD   ?= -I$(BLURAY_INC_DIR)
-endif
 
 #
 # linker options
@@ -52,10 +45,6 @@
 
 LIBS_XINE    = $(shell pkg-config libxine --libs)
 LDFLAGS     += -shared -fvisibility=hidden
-
-ifeq ($(ENABLE_INPUT_PLUGIN), yes)
-LIBS_BD     ?= -L/usr/local/lib -lbluray
-endif
 
 #
 # targets
@@ -133,19 +122,19 @@
 install: all uninstall
 ifeq ($(ENABLE_DEMUX_PLUGIN), yes)
 	@echo Installing $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEDMXPLUGIN)
-	@$(INSTALL) -m 0644 $(XINEDMXPLUGIN) $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEDMXPLUGIN)
+	@$(INSTALL) -D -m 0644 $(XINEDMXPLUGIN) $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEDMXPLUGIN)
 endif
 ifeq ($(ENABLE_SPU_PLUGIN), yes)
 	@echo Installing $(DESTDIR)/$(XINEPLUGINDIR)/$(XINESPUPLUGIN)
-	@$(INSTALL) -m 0644 $(XINESPUPLUGIN) $(DESTDIR)/$(XINEPLUGINDIR)/$(XINESPUPLUGIN)
+	@$(INSTALL) -D -m 0644 $(XINESPUPLUGIN) $(DESTDIR)/$(XINEPLUGINDIR)/$(XINESPUPLUGIN)
 endif
 ifeq ($(ENABLE_INPUT_PLUGIN), yes)
 	@echo Installing $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEINPUTPLUGIN)
-	@$(INSTALL) -m 0644 $(XINEINPUTPLUGIN) $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEINPUTPLUGIN)
+	@$(INSTALL) -D -m 0644 $(XINEINPUTPLUGIN) $(DESTDIR)/$(XINEPLUGINDIR)/$(XINEINPUTPLUGIN)
 endif
 ifeq ($(ENABLE_PCM_PLUGIN), yes)
 	@echo Installing $(DESTDIR)/$(XINEPLUGINDIR)/$(XINELPCMPLUGIN)
-	@$(INSTALL) -m 0644 $(XINELPCMPLUGIN) $(DESTDIR)/$(XINEPLUGINDIR)/$(XINELPCMPLUGIN)
+	@$(INSTALL) -D -m 0644 $(XINELPCMPLUGIN) $(DESTDIR)/$(XINEPLUGINDIR)/$(XINELPCMPLUGIN)
 endif
 
 uninstall:
