=== debian/changelog ===
vdr-plugin-xineliboutput (1.0.6+cvs20110417.2013-1) unstable; urgency=low

  * New Upstream Snapshot

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2011 22:13:49 +0200

vdr-plugin-xineliboutput (1.0.6+cvs20110410.1300-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.18)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2011 20:06:39 +0200
