=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Tobias Grimm <etobi@debian.org>, Thomas Schmidt <tschmidt@debian.org>, Thomas Günther <tom@toms-cafe.de>
 Build-Depends: debhelper (>= 7.0.50~), gettext, txt2man,
- vdr-dev (>= 1.7.17),
+ vdr-dev (>= 1.7.18),
  x11proto-core-dev,
  libxine-dev (>= 1.1.12),
  libxext-dev,
